{ config, pkgs, ... }:

with pkgs.lib;

{
  imports =
    [  /nix/var/nix/profiles/per-user/root/channels/nixos/nixpkgs/nixos/virtualisation/virtualbox-image.nix
       /nix/var/nix/profiles/per-user/root/channels/nixos/nixpkgs/nixos/installer/cd-dvd/channel.nix
       /nix/var/nix/profiles/per-user/root/channels/nixos/nixpkgs/nixos/profiles/demo.nix
       /nix/var/nix/profiles/per-user/root/channels/nixos/nixpkgs/nixos/profiles/clone-config.nix
    ];

  # Allow mounting of shared folders.
  users.extraUsers.demo.extraGroups = [ "vboxsf" ];

  # Add some more video drivers to give X11 a shot at working in
  # VMware and QEMU.
  services.xserver.videoDrivers = mkOverride 40 [ "virtualbox" "vmware" "cirrus" "vesa" ];
}